Forge Home

oxidized

Oxidized Puppet module

11,791 downloads

131 latest version

5.0 quality score

We run a couple of automated
scans to help you access a
module's quality. Each module is
given a score based on how well
the author has formatted their
code and documentation and
modules are also checked for
malware using VirusTotal.

Please note, the information below
is for guidance only and neither of
these methods should be considered
an endorsement by Puppet.

Version information

  • 2.0.0 (latest)
  • 1.1.0
  • 1.0.0
  • 0.7.3
  • 0.7.2
  • 0.7.1
  • 0.7.0
  • 0.6.2
  • 0.6.1
  • 0.6.0
  • 0.5.1
  • 0.5.0
  • 0.4.0
  • 0.3.0
  • 0.2.0
  • 0.1.0
released Aug 12th 2022
This version is compatible with:
  • Puppet Enterprise 2021.6.x, 2021.5.x, 2021.4.x, 2021.3.x, 2021.2.x, 2021.1.x, 2021.0.x, 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x
  • Puppet >= 6.1.0 < 8.0.0
  • , , , , ,

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'treydock-oxidized', '2.0.0'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add treydock-oxidized
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install treydock-oxidized --version 2.0.0

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

treydock/oxidized — version 2.0.0 Aug 12th 2022

puppet-module-oxidized

Puppet Forge CI Status

Table of Contents

  1. Description
  2. Setup - The basics of getting started with oxidized
  3. Usage - Configuration options and additional functionality
  4. Reference - Module reference

Description

This module will manage oxidized

Setup

What oxidized affects

This module will install the oxidize gems and manage the oxidize configs. The gems are installed into SCL Ruby for RedHat based systems.

Setup Requirements

This module has a soft dependency on puppet/rhsm for Red Hat 7 systems in order to enable the SCL repository.

Usage

To install oxidized and get a default config:

include ::oxidized

To define a config:

class { '::oxidized':
  config => {
    'rest' => false,
  }
}

Reference

http://treydock.github.io/puppet-module-oxidized/